%!TEX root=../../../thesis.tex
%!TEX file=content/spatial-dynamics/equations-of-motion/external.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\subsection{External Forces}\label{sec:spatial-dynamics:equations-of-motion:external}

It is possible to consider a magnitude of external forces acting on a mechanical structure, such as point forces, line forces, area forces, or even volume forces.
In general, external forces can be accounted for by
%
\begin{align*}
  \virtualworkexternal
    & = \sum\limits_{k}^{}{
          \transpose{
            \forcevec_{k}
          } \,
          \virtual{
            \vect{x}_{k}
          }
        }
        +
        \sum\limits_{l}^{}{
          \transpose{
            \torque_{l}
          } \,
          \virtual{
            \vect{e}_{l}
          }
        }
        +
        \int\limits_{\cablebody}^{}{
        \transpose{
          \bar{\vect{n}}
        } \,
        \virtual{
          \curve
        }
      } \,
      ,
\end{align*}
%
where~$\forcevec_{k}$ are point forces acting at~$\vect{x}_{k}$,~$\torque_{l}$ are torques acting about axis of rotations~$\evec{l}$, and~$\bar{\vect{n}}$ is the vector of acting line forces.
We limit ourselves to considering only one line force resulting from gravity which then reads
%
\begin{align}
  \virtualworkexternal
    & = \int\limits_{ \cablebody }^{}{
          \transpose{
            \gravityvec
          } \,
          \virtual{
            \curve
          }
        } \,
        ,
        \label{eqn:spatial-dynamics:equations-of-motion:external}
\end{align}
%
with the vector of acting force~${ \bar{\vect{n}} = \gravityvec = \transpose{ \left[ 0, 0, -\gravity* \right] } }$.
